using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioUnidadeConsumidora
    {

        public IList<entidadeUnidadeConsumidora> Select(entidadeUnidadeConsumidora objUnidadeConsumidora)
        {
            dalUnidadeConsumidora dalUnidadeConsumidora = null;

            var lstUnidadeConsumidora = new List<entidadeUnidadeConsumidora>();
            DataTable dt = null;

            try
            {
                dalUnidadeConsumidora = new dalUnidadeConsumidora();
                dt = dalUnidadeConsumidora.Select(objUnidadeConsumidora);

                foreach (DataRow dr in dt.Rows)
                {
                    objUnidadeConsumidora = new entidadeUnidadeConsumidora();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objUnidadeConsumidora.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["GRUPO"]))
                        objUnidadeConsumidora.GRUPO = dr["GRUPO"].ToString();

                    if (!Convert.IsDBNull(dr["UNID_ID"]))
                        objUnidadeConsumidora.UNID_ID = Convert.ToInt32(dr["UNID_ID"]);

                    if (!Convert.IsDBNull(dr["CONS_ID"]))
                        objUnidadeConsumidora.CONS_ID = Convert.ToInt32(dr["CONS_ID"]);

                    if (!Convert.IsDBNull(dr["ZONA"]))
                        objUnidadeConsumidora.ZONA = dr["ZONA"].ToString();

                    if (!Convert.IsDBNull(dr["LIVRO"]))
                        objUnidadeConsumidora.LIVRO = dr["LIVRO"].ToString();

                    if (!Convert.IsDBNull(dr["CONTA"]))
                        objUnidadeConsumidora.CONTA = dr["CONTA"].ToString();

                    if (!Convert.IsDBNull(dr["NOME"]))
                        objUnidadeConsumidora.NOME = dr["NOME"].ToString();

                    if (!Convert.IsDBNull(dr["CPF_CNPJ"]))
                        objUnidadeConsumidora.CPF_CNPJ = dr["CPF_CNPJ"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objUnidadeConsumidora.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDMEDIDOR"]))
                        objUnidadeConsumidora.IDMEDIDOR = Convert.ToInt32(dr["IDMEDIDOR"]);

                    if (!Convert.IsDBNull(dr["MEDIDOR"]))
                        objUnidadeConsumidora.MEDIDOR = dr["MEDIDOR"].ToString();

                    if (!Convert.IsDBNull(dr["CODEND"]))
                        objUnidadeConsumidora.CODEND = dr["CODEND"].ToString();

                    if (!Convert.IsDBNull(dr["UF"]))
                        objUnidadeConsumidora.UF = dr["UF"].ToString();

                    if (!Convert.IsDBNull(dr["CEP"]))
                        objUnidadeConsumidora.CEP = dr["CEP"].ToString();

                    if (!Convert.IsDBNull(dr["CIDADE"]))
                        objUnidadeConsumidora.CIDADE = dr["CIDADE"].ToString();

                    if (!Convert.IsDBNull(dr["DISTRITO"]))
                        objUnidadeConsumidora.DISTRITO = dr["DISTRITO"].ToString();

                    if (!Convert.IsDBNull(dr["BAIRRO"]))
                        objUnidadeConsumidora.BAIRRO = dr["BAIRRO"].ToString();

                    if (!Convert.IsDBNull(dr["END"]))
                        objUnidadeConsumidora.END = dr["END"].ToString();

                    if (!Convert.IsDBNull(dr["NUMERO"]))
                        objUnidadeConsumidora.NUMERO = dr["NUMERO"].ToString();

                    if (!Convert.IsDBNull(dr["COMPLEMENT"]))
                        objUnidadeConsumidora.COMPLEMENT = dr["COMPLEMENT"].ToString();

                    if (!Convert.IsDBNull(dr["QUADRA"]))
                        objUnidadeConsumidora.QUADRA = dr["QUADRA"].ToString();

                    if (!Convert.IsDBNull(dr["LOTE"]))
                        objUnidadeConsumidora.LOTE = dr["LOTE"].ToString();

                    if (!Convert.IsDBNull(dr["RAMAL"]))
                        objUnidadeConsumidora.RAMAL = dr["RAMAL"].ToString();

                    if (!Convert.IsDBNull(dr["DT_CORTE"]))
                        objUnidadeConsumidora.DT_CORTE = Convert.ToDateTime(dr["DT_CORTE"]);

                    if (!Convert.IsDBNull(dr["DT_DESLIGAMENTO"]))
                        objUnidadeConsumidora.DT_DESLIGAMENTO = Convert.ToDateTime(dr["DT_DESLIGAMENTO"]);

                    if (!Convert.IsDBNull(dr["DT_ENTRADA"]))
                        objUnidadeConsumidora.DT_ENTRADA = Convert.ToDateTime(dr["DT_ENTRADA"]);

                    if (!Convert.IsDBNull(dr["DT_LIGACAO"]))
                        objUnidadeConsumidora.DT_LIGACAO = Convert.ToDateTime(dr["DT_LIGACAO"]);

                    if (!Convert.IsDBNull(dr["DT_RELIGACAO"]))
                        objUnidadeConsumidora.DT_RELIGACAO = Convert.ToDateTime(dr["DT_RELIGACAO"]);

                    if (!Convert.IsDBNull(dr["DT_RAMAL"]))
                        objUnidadeConsumidora.DT_RAMAL = Convert.ToDateTime(dr["DT_RAMAL"]);

                    if (!Convert.IsDBNull(dr["ROTA_NUMERO"]))
                        objUnidadeConsumidora.ROTA_NUMERO = Convert.ToInt32(dr["ROTA_NUMERO"]);

                    if (!Convert.IsDBNull(dr["ROTA_SEQUENCIA"]))
                        objUnidadeConsumidora.ROTA_SEQUENCIA = Convert.ToInt32(dr["ROTA_SEQUENCIA"]);

                    if (!Convert.IsDBNull(dr["DIAVENC"]))
                        objUnidadeConsumidora.DIAVENC = dr["DIAVENC"].ToString();

                    if (!Convert.IsDBNull(dr["REGIAO"]))
                        objUnidadeConsumidora.REGIAO = dr["REGIAO"].ToString();


                    lstUnidadeConsumidora.Add(objUnidadeConsumidora);
                }
                return lstUnidadeConsumidora;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
